

-- --------------------------------------------------------

--
-- Table structure for table `#__debate`
--

CREATE TABLE IF NOT EXISTS `#__debate` (
  `debate_id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `pro_id` int(11) DEFAULT NULL,
  `con_id` int(11) DEFAULT NULL,
  `topic` text NOT NULL,
  `rounds` int(11) NOT NULL,
  `voting_period` int(11) NOT NULL,
  `time_to_argue` int(11) NOT NULL,
  `argument_max` int(11) NOT NULL,
  `debate_ends` datetime NOT NULL,
  PRIMARY KEY (`debate_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `#__debate`
--



-- --------------------------------------------------------

--
-- Table structure for table `#__debate_arguments`
--

CREATE TABLE IF NOT EXISTS `#__debate_arguments` (
  `argument_id` int(11) NOT NULL AUTO_INCREMENT,
  `debate_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `round` int(11) NOT NULL,
  `argument` text NOT NULL,
  `date_time` date NOT NULL,
  PRIMARY KEY (`argument_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `#__debate_arguments`
--



-- --------------------------------------------------------

--
-- Table structure for table `#__debate_argument_max`
--

CREATE TABLE IF NOT EXISTS `#__debate_argument_max` (
  `argument_max_id` int(11) NOT NULL AUTO_INCREMENT,
  `argument_amount` int(11) NOT NULL,
  PRIMARY KEY (`argument_max_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `#__debate_argument_max`
--

INSERT INTO `#__debate_argument_max` (`argument_max_id`, `argument_amount`) VALUES
(1, 500),
(2, 750),
(3, 1000),
(4, 2000),
(5, 3000),
(6, 4000),
(7, 5000),
(8, 6000),
(9, 7000),
(10, 8000);

-- --------------------------------------------------------

--
-- Table structure for table `#__debate_categories`
--

CREATE TABLE IF NOT EXISTS `#__debate_categories` (
  `category_id` int(11) NOT NULL AUTO_INCREMENT,
  `category_title` varchar(250) NOT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `#__debate_categories`
--

INSERT INTO `#__debate_categories` (`category_id`, `category_title`) VALUES
(1, 'Arts'),
(2, 'Education'),
(3, 'Entertainment'),
(4, 'Health'),
(5, 'Miscellaneous'),
(6, 'News'),
(7, 'Politics'),
(8, 'Religion'),
(9, 'Science'),
(10, 'Society'),
(11, 'Sports'),
(12, 'Technology');

-- --------------------------------------------------------

--
-- Table structure for table `#__debate_votes_results`
--

CREATE TABLE IF NOT EXISTS `#__debate_votes_results` (
  `vote_id` int(11) NOT NULL AUTO_INCREMENT,
  `debate_id` int(11) NOT NULL,
  `voter_id` int(11) NOT NULL,
  `pro_points` int(11) NOT NULL,
  `con_points` int(11) NOT NULL,
  PRIMARY KEY (`vote_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__debate_votes_results`
--

-- --------------------------------------------------------

--
-- Table structure for table `#__debate_vote_questions`
--

CREATE TABLE IF NOT EXISTS `#__debate_vote_questions` (
  `question_id` int(11) NOT NULL AUTO_INCREMENT,
  `question_value` int(11) NOT NULL,
  `question` text NOT NULL,
  PRIMARY KEY (`question_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8  ;

--
-- Dumping data for table `#__debate_vote_questions`
--

INSERT INTO `#__debate_vote_questions` (`question_id`, `question_value`, `question`) VALUES
(1, 10, 'Who did you agree with before the debate?'),
(2, 10, 'Who did you agree with after the debate?'),
(3, 10, 'Who had better conduct?'),
(4, 10, 'Who had better spelling and grammar?'),
(5, 10, 'Who made more convincing arguments?'),
(6, 10, 'Who used the most reliable sources?');

-- --------------------------------------------------------

--
-- Table structure for table `#__debate_voting_periods`
--

CREATE TABLE IF NOT EXISTS `#__debate_voting_periods` (
  `voting_period_id` int(11) NOT NULL AUTO_INCREMENT,
  `voting_period` varchar(250) NOT NULL,
  PRIMARY KEY (`voting_period_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__debate_voting_periods`
--

INSERT INTO `#__debate_voting_periods` (`voting_period_id`, `voting_period`) VALUES
(1, '3 Days'),
(2, '1 Week'),
(3, '2 Weeks'),
(4, '1 Month'),
(5, '3 Months'),
(6, '6 Months'),
(7, '1 Year');



CREATE TABLE IF NOT EXISTS `oasys_debate_comments` (
  `comment_id` int(10) NOT NULL auto_increment,
  `debate_id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `commenters_website` varchar(256) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;