<?php
/**
 * A Cool Debate Component
 * @link http://acoolsip.com
 * @Copyright Copyright (C) 2010- ... acoolsip.com
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

/**
 * Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class ACoolDebateModelACoolOpenDebate extends JModel
{
	
	function getData()
	{
		global $mainframe;
		if(JFactory::getUser()->guest)
		{
			$msg = "Please login to open a new debate";
			$link = "index.php?option=com_acooldebate";
			$mainframe->redirect($link, $msg);
		}
		$db =& JFactory::getDBO();

		$query = 'SELECT * FROM #__debate';
		$db->setQuery( $query );
		$data = $db->loadObjectList();

		return $data;
	}
	
	function getCats()
	{
		$db =& JFactory::getDBO();

		$query = 'SELECT * FROM #__debate_categories';
		$db->setQuery( $query );
		$data = $db->loadObjectList();

		return $data;
	}
	
	
	/*function getDefaultCat()
	{
		$component =& JComponentHelper::getComponent( 'com_acooldebate' );		
		$params =& new JParameter( $component->params );	
		$catid = $params->get('defaultcat');
		$db =& JFactory::getDBO();
		$query = 'SELECT category_title FROM #__debate_categories WHERE category_id = ' . $catid;
		$db->setQuery( $query );
		$data = $db->loadResult();
		return $data;		
	}
	
	function getDefaultTimeToArgue()
	{
		$component =& JComponentHelper::getComponent( 'com_acooldebate' );		
		$params =& new JParameter( $component->params );	
		$vid = $params->get('defaulttimetoargue');
		$db =& JFactory::getDBO();
		$query = 'SELECT voting_period FROM #__debate_categories WHERE voting_period_id = ' . $vid;
		$db->setQuery( $query );
		$data = $db->loadResult();
		return $data;		
	}	*/
	
	function getPeriods()
	{
		$db =& JFactory::getDBO();

		$query = 'SELECT * FROM #__debate_voting_periods';
		$db->setQuery( $query );
		$data = $db->loadObjectList();

		return $data;
	}
	
	function getargMax()
	{
		$db =& JFactory::getDBO();

		$query = 'SELECT * FROM #__debate_argument_max';
		$db->setQuery( $query );
		$data = $db->loadObjectList();

		return $data;
	}	
	
	function store($post = null)
	{		
		$user = JFactory::getUser();
		$db =& JFactory::getDBO();
		$user_id = $user->get('id');
		$post['argument'] = nl2br($post['argument']);
		if($post['sideChooser'] == 1)
		{
			$post['pro_id'] = $user_id;
			$post['con_id'] = null;	
		}
		else
		{
			$post['con_id'] = $user_id;
			$post['pro_id'] = null;
		}
		JTable::addIncludePath('components'.DS.'com_acooldebate'.DS.'tables');
		$row =& $this->getTable('acooldebates');
		
		$newPost['user_id'] = $user_id;
		$newPost['round'] = 1;
		$newPost['argument'] = $post['argument'];
		$newPost['date_time'] = $post['date_time'];		
		// Bind the form fields to the debate table
		if (!$row->bind($post)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the debate record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$row->store(false)) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}
		
		
		$newPost['debate_id'] = $row->debate_id;
		
		$interval = $this->getInterval($row->time_to_argue);
		
		$sql = "UPDATE #__debate SET debate_ends = DATE_ADD(NOW(), INTERVAL ".$interval.") WHERE debate_id = " . $row->debate_id;
		$db->setQuery($sql);
		$db->query();

/*echo "<pre>";
print_r($newPost);
echo "</pre>";*/

		$debateTable =& $this->getTable('acooldebate');
		
		if (!$debateTable->bind($newPost)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the debate record is valid
		if (!$debateTable->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$debateTable->store()) {
			$this->setError( $debateTable->getErrorMsg() );
			return false;
		}		
			
		return $newPost['debate_id'];
		/*$post['argument'] = nl2br($post['argument']);
		echo "<pre>";
		print_r($post);
		echo "</pre>";
		*/
	}
	
	function getInterval($time_to_argue)
	{
		$db =& JFactory::getDBO();
		$sql = "SELECT voting_period FROM #__debate_voting_periods WHERE voting_period_id = " . $time_to_argue;
		$db->setQuery($sql);
		$period = $db->loadResult();
		
		$period_num = filter_var($period,FILTER_SANITIZE_NUMBER_INT);
		$num_array = array(1,2,3,4,5,6,7,8,9,0);		
		$period_tex = str_replace($num_array,'',$period);
		
		$interval = '';
		echo $period_num;		
		echo $period_tex;
		if(stristr($period_tex,'hour'))
		{
			$interval = $period_num . " HOUR";
		}		
		if(stristr($period_tex,'day'))
		{
			$interval = $period_num . " DAY";
		}
		if(stristr($period_tex,'week'))
		{
			$interval = $period_num . " WEEK";
		}
		if(stristr($period_tex,'month'))
		{
			$interval = $period_num . " MONTH";
		}
		if(stristr($period_tex,'year'))
		{
			$interval = $period_num . " YEAR";
		}
		return $interval;
	}
}
